# $Revision: 1.33 $, $Date: 2006/03/27 12:41:05 $
#
%bcond_with	mysql40 # support for mysql 4.0.x

Summary:	The MySQL Control Center
Summary(pl):	Centrum sterowania MySQL-a
Name:		mysqlcc
Group:		Applications/Databases
Version:	0.9.4
Release:	13
License:	GPL
Source0:	http://sunsite.icm.edu.pl/mysql/Downloads/MySQLCC/%{name}-%{version}-src.tar.gz
# Source0-md5:	26ee3528dce690b227d8bfb71b46ae66
Source1:	%{name}.desktop
Patch0:		%{name}-defaultpath.patch
Patch1:		%{name}-m4.patch
Patch2:		%{name}-shutdown.patch
Patch3:		%{name}-enablessl.patch
Patch4:		%{name}-reconnect.patch
URL:		http://www.mysql.com/products/mysqlcc/
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-coder-png
BuildRequires:	autoconf
BuildRequires:	automake
%{!?with_mysql40:BuildRequires:	mysql-devel >= 4.1.0}
%{?with_mysql40:BuildRequires:	mysql-devel >= 4.0.0}
BuildRequires:	qmake
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mysqlcc is a platform independent graphical MySQL administration
client. It is based on Trolltech's Qt toolkit.

%description -l pl
mysqlcc jest niezalenym od platformy graficznym klientem
administracji MySQL-em. Dziaa w oparciu o toolkit Qt Trolltecha.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%{!?with_mysql40:%patch2 -p1}
%patch3 -p1
%patch4 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
QTDIR=%{_prefix}; export QTDIR
QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++; export QMAKESPEC
%configure \
	--with-mysql-lib=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/translations,%{_desktopdir},%{_pixmapsdir}}

install mysqlcc $RPM_BUILD_ROOT%{_bindir}
install {*.wav,syntax.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}
install translations/*.qm \
		$RPM_BUILD_ROOT%{_datadir}/%{name}/translations
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

convert xpm/applicationIcon.xpm -resize 48x48 $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog.txt INSTALL.txt README.txt TODO.txt
%attr(755,root,root) %{_bindir}/mysqlcc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.wav
%{_datadir}/%{name}/syntax.txt
%dir %{_datadir}/%{name}/translations
%lang(de) %{_datadir}/%{name}/translations/Deutsch.qm
%lang(fr) %{_datadir}/%{name}/translations/French.qm
%lang(it) %{_datadir}/%{name}/translations/Italian.qm
%lang(pl) %{_datadir}/%{name}/translations/Polish.qm
%lang(ru) %{_datadir}/%{name}/translations/Russian.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/Simplified_Chinese.qm
%lang(es) %{_datadir}/%{name}/translations/Spanish.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/Traditional_Chinese.qm
%{_pixmapsdir}/%{name}.*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysqlcc.spec,v $
Revision 1.33  2006/03/27 12:41:05  glen
- rel 13 (libmysqlclient_15)

Revision 1.32  2006/02/15 17:34:25  arekm
- rel 12

Revision 1.31  2006/02/14 20:01:19  arekm
- rel 11; reconnect by default

Revision 1.30  2005/10/27 17:46:02  arekm
- rel 10

Revision 1.29  2005/08/28 08:26:12  arekm
- rel 9; drop charset patch (use mysql-client.conf for charset)

Revision 1.28  2005/05/28 20:24:29  twittner
- added bcond --with mysql40 - for building with mysql-4.0.x

Revision 1.27  2005/04/11 21:33:27  arekm
- rel 8; use utf8 charset for 4.1 server

Revision 1.26  2005/02/18 09:33:44  arekm
- rel7 ; enable ssl (works for me)

Revision 1.25  2005/02/13 10:04:49  arekm
- rel6

Revision 1.24  2005/02/13 09:50:46  arekm
- create desktopdir

Revision 1.23  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.22  2005/01/15 18:48:22  jack
- added desktop file
  4c62b29166d147a3096313554cbc13af  mysqlcc.desktop

Revision 1.21  2005/01/07 22:51:30  arekm
- mysql 4.1 support

Revision 1.20  2004/09/02 10:25:20  snurf
- typos / formatting / etc.

Revision 1.19  2004/08/18 23:33:55  undefine
- release 3

Revision 1.18  2004/08/18 23:12:54  undefine
- specify libdir for mysql - should help on amd64, br: qmake

Revision 1.17  2004/08/18 22:59:13  undefine
- copy config.sub, release 2

Revision 1.16  2004/02/01 18:32:07  jack
- updated to 0.9.4
  e8dbd33d0bc2c25a1b01c3fb8c5bf8f1  mysqlcc-defaultpath.patch

Revision 1.15  2003/10/28 16:11:08  qboosh
- removed LICENSE.txt from doc (just GPL)
- use %lang for translations, don't include translation sources
- BR: ImageMagick-coder-png

Revision 1.14  2003/09/15 06:59:09  migo
- up to 0.9.3

Revision 1.13  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:50:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/20 14:21:16  migo
- up to 0.9.2

Revision 1.9  2003/04/26 09:27:18  misiek
- updated to 0.9.1

Revision 1.8  2003/02/14 21:16:28  misiek
- updated to 0.8.9 (for mysql 4.0)

Revision 1.7  2003/02/11 13:29:48  qboosh
- BR: autoconf,automake

Revision 1.6  2003/02/04 22:08:30  misiek
- now builds fine

Revision 1.5  2003/02/04 21:27:05  misiek
- more work

Revision 1.4  2003/02/04 13:31:08  ankry
- switched to gz source: no .bz2 on mirrors
  NOTE: 0.8.9 available

Revision 1.3  2003/02/04 12:37:14  ankry
- added an URL

Revision 1.2  2003/02/04 10:39:54  ankry
- adapterized, pl translations

Revision 1.1  2003/02/04 02:39:24  kloczek
- raw version from MDK.

* Sun Jan 12 2003 Buchan Milne <bgmilne@linux-mandrake.com 0.8.7-1mdk
- 0.8.7

* Tue Nov 12 2002 Buchan Milne <bgmilne@linux-mandrake.com 0.8.6a-1mdk
- First mandrake package (based on shipped spec file)
